CVE-2017-11335

NameCVE-2017-11335
DescriptionThere is a heap based buffer overflow in tools/tiff2pdf.c of LibTIFF 4.0.8 via a PlanarConfig=Contig image, which causes a more than one hundred bytes out-of-bounds write (related to the ZIPDecode function in tif_zip.c). A crafted input may lead to a remote denial of service attack or an arbitrary code execution attack.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1093-1, DLA-1094-1, DSA-4100-1
NVD severitymedium (attack range: remote)
Debian Bugs868513

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)jessie4.0.3-12.3+deb8u5fixed
jessie (security)4.0.3-12.3+deb8u7fixed
stretch4.0.8-2+deb9u2fixed
stretch (security)4.0.8-2+deb9u4fixed
buster, sid4.0.10-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.8-4medium868513
tiffsourcejessie4.0.3-12.3+deb8u5mediumDSA-4100-1
tiffsourcestretch4.0.8-2+deb9u2mediumDSA-4100-1
tiffsourcewheezy4.0.2-6+deb7u16mediumDLA-1093-1
tiff3source(unstable)(unfixed)medium
tiff3sourcewheezy3.9.6-11+deb7u8mediumDLA-1094-1

Notes

[stretch] - tiff <no-dsa> (Minor issue)
[jessie] - tiff <no-dsa> (Minor issue)
http://bugzilla.maptools.org/show_bug.cgi?id=2715
Fixed by: https://github.com/vadz/libtiff/commit/69bfeec247899776b1b396651adb47436e5f1556

Search for package or bug name: Reporting problems